DefaultGroovyPageLocator (Grails 3.1.10)
Date: 2016-07-28

Package: org.grails.gsp.io

## [Java] Class DefaultGroovyPageLocator

- org.grails.gsp.io.DefaultGroovyPageLocator

- All Implemented Interfaces and Traits:
    GroovyPageLocator, org.springframework.context.ResourceLoaderAware, org.springframework.context.ApplicationContextAware, PluginManagerAware

      public class DefaultGroovyPageLocator
      extends java.lang.Object

  Used to locate GSPs whether in development or WAR deployed mode from static resources, custom resource loaders and binary plugins.

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `DefaultGroovyPageLocator.PluginViewPathInfo` |

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `PATH_TO_WEB_INF_VIEWS` |
    `protected GrailsPluginManager` | `pluginManager` |
    `protected boolean` | `reloadEnabled` |
    `protected java.util.Collection<org.springframework.core.io.ResourceLoader>` | `resourceLoaders` |
    `protected boolean` | `warDeployed` |

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `addResourceLoader(org.springframework.core.io.ResourceLoader resourceLoader)`
    `protected GroovyPageCompiledScriptSource` | `createGroovyPageCompiledScriptSource(java.lang.String uri, java.lang.String fullPath, java.lang.Class<?> viewClass)`
    `protected GroovyPageScriptSource` | `findBinaryScriptSource(java.lang.String uri)`
    `GroovyPageScriptSource` | `findPage(java.lang.String uri)`
    `GroovyPageScriptSource` | `findPageInBinding(java.lang.String pluginName, java.lang.String uri, TemplateVariableBinding binding)`
    `GroovyPageScriptSource` | `findPageInBinding(java.lang.String uri, TemplateVariableBinding binding)`
    `protected org.springframework.core.io.Resource` | `findReloadablePage(java.lang.String uri)`
    `protected org.springframework.core.io.Resource` | `findResource(java.lang.String uri)`
    `protected org.springframework.core.io.Resource` | `findResource(java.util.List<java.lang.String> searchPaths)`
    `protected org.springframework.core.io.Resource` | `findResourceInPlugins(java.lang.String uri)`
    `protected GroovyPageScriptSource` | `findResourceScriptPathForSearchPaths(java.lang.String uri, java.util.List<java.lang.String> searchPaths)`
    `protected GroovyPageScriptSource` | `findResourceScriptSource(java.lang.String uri)`
    `protected GroovyPageScriptSource` | `findResourceScriptSourceInPlugins(java.lang.String uri)`
    `static DefaultGroovyPageLocator.PluginViewPathInfo` | `getPluginViewPathInfo(java.lang.String uri)`
    `boolean` | `isReloadEnabled()`
    `void` | `removePrecompiledPage(GroovyPageCompiledScriptSource scriptSource)`
    `protected java.lang.String` | `removePrefix(java.lang.String uri, java.lang.String prefix)`
    `protected java.lang.String` | `removeViewLocationPrefixes(java.lang.String uri)`
    `protected java.lang.String` | `resolveContextPath(java.lang.String pluginName, java.lang.String uri, TemplateVariableBinding binding)`
    `protected java.lang.String` | `resolveContextPath(java.lang.String pluginName, java.lang.String uri, TemplateVariableBinding binding, boolean forceCamelCase)`
    `protected java.lang.String` | `resolvePluginViewPath(java.lang.String uri, GrailsPlugin plugin)`
    `protected java.util.List<java.lang.String>` | `resolveSearchPaths(java.lang.String uri)`
    `protected GroovyPageScriptSource` | `resolveViewInBinaryPlugin(BinaryGrailsPlugin binaryPlugin, java.lang.String uri)`
    `void` | `setApplicationContext(org.springframework.context.ApplicationContext applicationContext)`
    `void` | `setPluginManager(GrailsPluginManager pluginManager)`
    `void` | `setPrecompiledGspMap(java.util.Map<java.lang.String, java.lang.String> precompiledGspMap)`
    `void` | `setReloadEnabled(boolean reloadEnabled)`
    `void` | `setResourceLoader(org.springframework.core.io.ResourceLoader resourceLoader)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String PATH_TO_WEB_INF_VIEWS

    - #### protected GrailsPluginManager pluginManager

    - #### protected boolean reloadEnabled

    - #### protected java.util.Collection<org.springframework.core.io.ResourceLoader> resourceLoaders

    - #### protected boolean warDeployed

  - ### Method Detail

    - #### public void addResourceLoader(org.springframework.core.io.ResourceLoader resourceLoader)

    - #### protected GroovyPageCompiledScriptSource createGroovyPageCompiledScriptSource(java.lang.String uri, java.lang.String fullPath, java.lang.Class<?> viewClass)

    - #### protected GroovyPageScriptSource findBinaryScriptSource(java.lang.String uri)

    - #### public GroovyPageScriptSource findPage(java.lang.String uri)

    - #### public GroovyPageScriptSource findPageInBinding(java.lang.String pluginName, java.lang.String uri, TemplateVariableBinding binding)

    - #### public GroovyPageScriptSource findPageInBinding(java.lang.String uri, TemplateVariableBinding binding)

    - #### protected org.springframework.core.io.Resource findReloadablePage(java.lang.String uri)

    - #### protected org.springframework.core.io.Resource findResource(java.lang.String uri)

    - #### protected org.springframework.core.io.Resource findResource(java.util.List<java.lang.String> searchPaths)

    - #### protected org.springframework.core.io.Resource findResourceInPlugins(java.lang.String uri)

    - #### @java.lang.SuppressWarnings("unchecked") protected GroovyPageScriptSource findResourceScriptPathForSearchPaths(java.lang.String uri, java.util.List<java.lang.String> searchPaths)

    - #### protected GroovyPageScriptSource findResourceScriptSource(java.lang.String uri)

    - #### protected GroovyPageScriptSource findResourceScriptSourceInPlugins(java.lang.String uri)

    - #### public static DefaultGroovyPageLocator.PluginViewPathInfo getPluginViewPathInfo(java.lang.String uri)

    - #### public boolean isReloadEnabled()

    - #### public void removePrecompiledPage(GroovyPageCompiledScriptSource scriptSource)

    - #### protected java.lang.String removePrefix(java.lang.String uri, java.lang.String prefix)

    - #### protected java.lang.String removeViewLocationPrefixes(java.lang.String uri)

    - #### protected java.lang.String resolveContextPath(java.lang.String pluginName, java.lang.String uri, TemplateVariableBinding binding)

    - #### protected java.lang.String resolveContextPath(java.lang.String pluginName, java.lang.String uri, TemplateVariableBinding binding, boolean forceCamelCase)

    - #### protected java.lang.String resolvePluginViewPath(java.lang.String uri, GrailsPlugin plugin)

    - #### protected java.util.List<java.lang.String> resolveSearchPaths(java.lang.String uri)

    - #### protected GroovyPageScriptSource resolveViewInBinaryPlugin(BinaryGrailsPlugin binaryPlugin, java.lang.String uri)

    - #### public void setApplicationContext(org.springframework.context.ApplicationContext applicationContext)

    - #### public void setPluginManager(GrailsPluginManager pluginManager)

    - #### public void setPrecompiledGspMap(java.util.Map<java.lang.String, java.lang.String> precompiledGspMap)

    - #### public void setReloadEnabled(boolean reloadEnabled)

    - #### public void setResourceLoader(org.springframework.core.io.ResourceLoader resourceLoader)